# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Summary:	Alternative interface to File::Find
Name:		perl-File-Find-Rule
Version:	0.34
Release:	25.%{__distinit}%{__distvers}
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/File-Find-Rule
Source0:	https://cpan.metacpan.org/modules/by-module/File/File-Find-Rule-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(Number::Compare)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::Glob) >= 0.07
BuildRequires:	perl(vars)
# Script Runtime
BuildRequires:	perl(File::Spec::Functions)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(Test::Differences)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
File::Find::Rule is a friendlier interface to File::Find.
It allows you to build rules that specify the desired files and directories.

%prep
%setup -q -n File-Find-Rule-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes
%{_bindir}/findrule
%{perl_vendorlib}/File/
%{_mandir}/man1/findrule.1*
%{_mandir}/man3/File::Find::Rule.3*
%{_mandir}/man3/File::Find::Rule::Extending.3*
%{_mandir}/man3/File::Find::Rule::Procedural.3*

%changelog
* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 0.34-25
- Use SPDX-format license tag

* Tue Jun  4 2019 Paul Howarth <paul@city-fan.org> - 0.34-12
- Modernize spec
  - Switch upstream from search.cpan.org to metacpan.org
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags

* Tue Aug 23 2016 Paul Howarth <paul@city-fan.org> - 0.34-4
- BR: perl-generators where available
- Simplify find command using -delete

* Fri Dec  4 2015 Paul Howarth <paul@city-fan.org> - 0.34-1
- Update to 0.34
  - Add canonpath option to normalize file-path separators
- Classify buildreqs by usage

* Thu Aug 28 2014 Paul Howarth <paul@city-fan.org> - 0.33-9
- Drop %%defattr, redundant since rpm 4.4

* Thu Jun 21 2012 Paul Howarth <paul@city-fan.org> - 0.33-3
- BR: Perl core modules that are dual-lived
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Sep 19 2011 Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
  - Fixes the case where name("foo(*") hits an error with mismatched
    parenthesis
- No README included in upstream tarball, so don't ship one

* Mon Jun 27 2011 Paul Howarth <paul@city-fan.org> - 0.32-6
- Rebuild for perl 5.14.1 in Rawhide
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri Jun 25 2010 Paul Howarth <paul@city-fan.org> - 0.32-3
- Rebuild for perl 5.12.1 in Rawhide

* Mon May 10 2010 Paul Howarth <paul@city-fan.org> - 0.32-2
- Fix dist tag to work with RHEL6 Beta

* Sat Nov 28 2009 Paul Howarth <paul@city-fan.org> - 0.32-1
- Update to 0.32
  - rework referencing of anyonymous subroutines internally (CPAN RT#46599)
  - rearrange testsuite
  - all taint 'bugs' now follow the behaviour of File::Find

* Thu Sep 10 2009 Paul Howarth <paul@city-fan.org> - 0.30-4
- Define RPM macros in global scope

* Tue Nov  4 2008 Paul Howarth <paul@city-fan.org> - 0.30-3
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)
- Add buildreq perl(Test::More)

* Tue Mar 20 2007 Paul Howarth <paul@city-fan.org> - 0.30-2
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)

* Fri Jun  2 2006 Paul Howarth <paul@city-fan.org> - 0.30-1
- Update to 0.30

* Wed May 17 2006 Paul Howarth <paul@city-fan.org> - 0.29-1
- Update to 0.29
- Simplify distribution detection code
- Define %%{__id_u} in a more portable way
- Remove buildroot unconditionally in %%clean and %%install
- Don't use macros in build-time command paths, hardcode them instead
- Remove %%{__perl_package} macro, used only twice
- Remove %%{__perl_version} macro, used only once
- Use search.cpan.org URLs

* Wed Aug 17 2005 Paul Howarth <paul@city-fan.org> - 0.28-3
- Remove redundant macro definitions
- Remove redundant optimization flags for noarch package
- Fix directory ownership

* Sun Jun  5 2005 Paul Howarth <paul@city-fan.org> - 0.28-2
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency
- Remove MANIFEST from %%doc, add README

* Wed Oct 27 2004 Paul Howarth <paul@city-fan.org> - 0.28-1
- Update to 1.28
- Tidy up spec file

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> - 0.27-1
- Initial build
